<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.index}" xmlns:th="http://www.w3.org/1999/xhtml">

<th:block layout:fragment="js-view">
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCmH8tVn4PYDPm5-myTgd_NRa4A9phEN9g&libraries=geometry"
            type="text/javascript"></script>
    <script src="/webjars/bootstrap-daterangepicker/js/bootstrap-daterangepicker.js"></script>
    <script src="/js/index/Callout.js"></script>
    <script src="/js/index/HomeMap.js"></script>
    <script src="/js/index/DateRangePicker.js"></script>
    <script src="/js/index/index.js"></script>
</th:block>

<th:block layout:fragment="css-view">
    <link href="/webjars/bootstrap-daterangepicker/css/bootstrap-daterangepicker.css" rel="stylesheet" type="text/css"/>
    <link href="/css/index/index.css" rel="stylesheet" type="text/css"/>
</th:block>

<div layout:fragment="content">
    <div class="d-none"
         id="configs"
         th:attr="
                 data-location-permission-denied-message=#{location.permissionDenied},
                 data-location-error-message=#{location.error},
                 data-map-search-error-message=#{map.searchError},
                 data-max-map-occurrences-message=#{occurrence.maxMapOccurrences},
                 data-occurrence-verified-message=#{occurrence.verified},
                 data-report-btn-message=#{report.modal.toggle.message},
                 data-occurrence-already-reported-message=#{report.create.alreadyReported},
                 data-unknown-error=#{report.error.unknown},
                 data-user-latitude=${userLatitude},
                 data-user-longitude=${userLongitude}
    "
    >
    </div>


    <div id="home-map" class="welcome-container">
        <div class="col-12 col-lg-8 col-xl-9 p-0 map-container" id="googlemaps"></div>
        <div class="col-12 col-lg-4 col-xl-3 p-0 map-sidebar-container">
            <div class="row p-3">
                <div class="col-auto">
                    <div class="btn-group">
                        <button
                                sec:authorize="isAuthenticated()"
                                id="my-location"
                                th:title="#{location.button.myLocation}"
                                data-toggle="tooltip"
                                type="button"
                                class="btn btn-outline-secondary">
                            <i class="fas fa-address-book"></i>
                        </button>
                        <button
                                th:title="#{location.button.currentLocation}"
                                data-toggle="tooltip"
                                id="current-location"
                                type="button"
                                class="btn btn-outline-secondary">
                            <i class="fas fa-male"></i>
                        </button>
                    </div>
                </div>
                <div class="col">
                    <button class="btn btn-secondary btn-block" id="map-filter-button"
                            th:text="#{index.filter.header}"></button>
                </div>
            </div>

            <div class="p-3 map-filters" id="map-filters">
                <div class="row align-items-center">
                    <div class="col-auto">
                        <h3 th:text="#{index.filter.header}"></h3>
                    </div>

                    <div class="col-auto ml-auto">
                        <button class="btn btn-secondary btn-sm" id="map-filter-close">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>
                </div>

                <form method="get" th:object="${form}" id="search-form">
                    <div class="form-group">
                        <label for="searchTerm" th:text="#{map.searchTerm}">Pesquisa</label>
                        <input class="form-control" id="searchTerm" th:field="*{searchTerm}"
                               th:placeholder="#{occurrence.search.placeholder}"
                               type="text">
                    </div>

                    <div class="form-group">
                        <label for="map-range" th:text="#{map.mapRange}">Período</label>
                        <input class="form-control" data-applyLabel="" data-cancel-label=""
                               id="map-range"
                               th:attr="
                                        data-apply-label=#{datepicker.applyLabel},
                                        data-cancel-label=#{datepicker.cancelLabel},
                                        data-custom-range-label=#{datepicker.customRangeLabel},
                                        data-from-label=#{datepicker.fromLabel},
                                        data-to-label=#{datepicker.toLabel},
                                        data-week-label=#{datepicker.weekLabel},
                                        data-today=#{datepicker.today},
                                        data-yesterday=#{datepicker.yesterday},
                                        data-last-7-days=#{datepicker.last7Days},
                                        data-last-30-days=#{datepicker.last30Days},
                                        data-current-month=#{datepicker.currentMonth},
                                        data-last-month=#{datepicker.lastMonth},
                                   "
                               th:placeholder="#{datepicker.placeholder}"
                               type="text"
                        >
                    </div>

                    <div class="form-group">
                        <label for="occurrenceTypeEnums" th:text="#{map.occurrenceTypeEnums}"></label>
                        <select class="select2-multiple" id="occurrenceTypeEnums" multiple
                                th:attr="data-placeholder=#{occurrenceType.all}"
                                th:field="*{occurrenceTypeEnums}">
                            <option th:each="type : ${T(felipe.emerim.crimespot.enums.OccurrenceTypeEnum).values()}"
                                    th:text="#{${type.description}}" th:value="${type}"></option>
                        </select>
                    </div>

                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" id="only-verified" th:field="*{onlyVerified}"
                                   type="checkbox">
                            <label class="form-check-label" for="only-verified"
                                   th:text="#{map.onlyVerified}"></label>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-9">
                            <div class="form-group">
                                <button id="submit-search-button"
                                        class="btn btn-secondary btn-block" th:text="#{map.submitSearch}"
                                        type="submit"></button>
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                <button id="clear-search-button"
                                        class="btn btn-outline-secondary btn-block" th:text="#{map.clearSearch}"
                                        type="button"></button>
                            </div>
                        </div>
                    </div>


                    <input id="start-date" th:field="*{startDate}" type="hidden" value="">
                    <input id="end-date" th:field="*{endDate}" type="hidden" value="">
                    <input id="latitude" th:field="*{latitude}" type="hidden" value="">
                    <input id="longitude" th:field="*{longitude}" type="hidden" value="">
                    <input id="search-radius" th:field="*{searchRadius}" type="hidden" value="">
                </form>

            </div>

            <div class="p-3 map-occurrence" id="map-occurrence-list">

            </div>
        </div>
    </div>

    <th:block sec:authorize="isAnonymous()">
        <div aria-hidden="true" class="modal fade" id="report-modal-anonymous" role="dialog" tabindex="-1">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" th:text="#{report.create.modal.title}"></h5>
                        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p th:text="#{report.auth.required}">É necessário estar autenticado para denunciar ocorrências</p>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                        </button>
                        <a class="btn btn-primary"
                           th:href="@{/login}"
                           th:text="#{login.go}">
                            Efetuar login
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </th:block>

    <th:block sec:authorize="isAuthenticated()">
        <div aria-hidden="true" class="modal fade" id="report-modal-authenticated" role="dialog" tabindex="-1">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" th:text="#{report.create.modal.title}"></h5>
                        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <form id="report-occurrence-form">
                                        <label for="report-description" th:text="#{report.label.description}">
                                            Motivo da denúncia
                                        </label>
                                        <textarea id="report-description"
                                                  name="description"
                                                  class="form-control"
                                                  required
                                                  rows="5"></textarea>
                                        <span th:text="#{report.description.length.fixed}"></span>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                        </button>
                        <button class="btn btn-primary" form="report-occurrence-form"
                                th:value="#{report.confirm.create}"
                                type="submit">Confirmar
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </th:block>
</div>

<th:block layout:fragment="extra-messages">
    <div th:attr="data-message=#{login.disconnect}, data-type='success', data-title=#{messages.success}"
         th:if="${param.logout}">
    </div>
</th:block>
